Bug 1419312 - paramiko throws "ValueError" when used with python2-crypto.x86_64 0:2.6.1-13.el7
Summary: paramiko throws "ValueError" when used with python2-crypto.x86_64 0:2.6.1-13.el7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-paramiko
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1419640 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-05 09:28 UTC by Nadav Goldin
Modified: 2020-04-15 15:13 UTC (History)
14 users (show)

Fixed In Version: python-paramiko-1.16.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1418084
Environment:
Last Closed: 2017-02-09 17:49:15 UTC
Type: Bug


Attachments (Terms of Use)
Patch against epel7 branch of python-paramiko (2.82 KB, patch)
2017-02-06 12:35 UTC, Paul Howarth
no flags Details | Diff

Description Nadav Goldin 2017-02-05 09:28:32 UTC
+++ This bug was initially created as a clone of Bug #1418084 +++

Description of problem:

The latest release of python2-crypto.x86_64 0:2.6.1-13.el7 breaks python2-paramiko-1.16.1-1.el7.noarch with the following error:

14:54:47 #   File "/usr/lib/python2.7/site-packages/paramiko/client.py", line 325, in connect
14:54:47 #     t.start_client()
14:54:47 #   File "/usr/lib/python2.7/site-packages/paramiko/transport.py", line 492, in start_client
14:54:47 #     raise e
14:54:47 # ValueError: CTR mode needs counter parameter, not IV


Version-Release number of selected component (if applicable):


How reproducible:
All SSH commands fail with paramiko.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Nadav Goldin on 2017-01-31 14:36:35 EST ---

One nice solution would be to provide paramiko v2.x RPM(which is already available in fc25) to fc24. paramiko v2.x does not depend on python2-crypto.

--- Additional comment from Fedora Update System on 2017-02-02 04:50:15 EST ---

python-paramiko-2.1.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6bf7d0c531

--- Additional comment from Fedora Update System on 2017-02-02 16:50:06 EST ---

python-paramiko-2.1.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6bf7d0c531

Comment 1 Paul Howarth 2017-02-06 12:35:54 UTC
Created attachment 1248027 [details]
Patch against epel7 branch of python-paramiko

Patch is based on this pull request upstream:

https://github.com/paramiko/paramiko/pull/714

Upstream seems to have some reservations but that's mainly to do with compatibility with older pycrypto versions. As the python-crypto maintainer in EPEL-7 I think this looks fine.

Comment 2 Igor Gnatenko 2017-02-06 18:16:12 UTC
*** Bug 1419640 has been marked as a duplicate of this bug. ***

Comment 3 Brian J. Murrell 2017-02-06 19:48:04 UTC
Is there a build of this anywhere that can be tested/used?

Comment 4 Orion Poplawski 2017-02-06 20:10:42 UTC
Paul - I've given you access to the python-paramiko package.  Can you take care of this?  Thanks!

Comment 5 Brian J. Murrell 2017-02-06 20:37:14 UTC
In my local build the patch in attachment 1248027 [details] doesn't fix the problem (apart from the bogus date in the %changelog):

warning: bogus date in %changelog: Fri May 16 2016 Orion Poplawski <orion@cora.nwra.com> - 1.16.1-1
Executing(%prep): /bin/sh -e /home/brian/python-paramiko/TMP/rpm-tmp.OzPbS1
+ umask 022
+ cd /home/brian/python-paramiko/BUILD
+ cd /home/brian/python-paramiko/BUILD
+ rm -rf paramiko-1.16.1
+ /usr/bin/gzip -dc /home/brian/python-paramiko/paramiko-1.16.1.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd paramiko-1.16.1
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ /usr/bin/cat /home/brian/python-paramiko/0000-CTR-modes-need-a-counter-not-an-IV.patch
+ /usr/bin/patch -p0 -s
+ chmod a-x demos/demo.py demos/demo_keygen.py demos/demo_server.py demos/demo_sftp.py demos/demo_simple.py demos/forward.py demos/interactive.py demos/rforward.py demos/test_rsa.key demos/user_rsa_key demos/user_rsa_key.pub
+ sed -i -e '/^#!/,1d' demos/demo.py demos/demo_keygen.py demos/demo_server.py demos/demo_sftp.py demos/demo_simple.py demos/forward.py demos/interactive.py demos/rforward.py demos/test_rsa.key demos/user_rsa_key demos/user_rsa_key.pub
+ exit 0
Executing(%build): /bin/sh -e /home/brian/python-paramiko/TMP/rpm-tmp.w5I1Wf
+ umask 022
+ cd /home/brian/python-paramiko/BUILD
+ cd paramiko-1.16.1
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic'
+ /usr/bin/python2 setup.py build '--executable=/usr/bin/python2 -s'
running build
running build_py
creating build
creating build/lib
creating build/lib/paramiko
copying paramiko/pipe.py -> build/lib/paramiko
copying paramiko/kex_group14.py -> build/lib/paramiko
copying paramiko/rsakey.py -> build/lib/paramiko
copying paramiko/dsskey.py -> build/lib/paramiko
copying paramiko/config.py -> build/lib/paramiko
copying paramiko/ber.py -> build/lib/paramiko
copying paramiko/py3compat.py -> build/lib/paramiko
copying paramiko/kex_gex.py -> build/lib/paramiko
copying paramiko/transport.py -> build/lib/paramiko
copying paramiko/auth_handler.py -> build/lib/paramiko
copying paramiko/message.py -> build/lib/paramiko
copying paramiko/agent.py -> build/lib/paramiko
copying paramiko/sftp_handle.py -> build/lib/paramiko
copying paramiko/server.py -> build/lib/paramiko
copying paramiko/proxy.py -> build/lib/paramiko
copying paramiko/_version.py -> build/lib/paramiko
copying paramiko/file.py -> build/lib/paramiko
copying paramiko/ssh_gss.py -> build/lib/paramiko
copying paramiko/sftp_si.py -> build/lib/paramiko
copying paramiko/packet.py -> build/lib/paramiko
copying paramiko/buffered_pipe.py -> build/lib/paramiko
copying paramiko/hostkeys.py -> build/lib/paramiko
copying paramiko/util.py -> build/lib/paramiko
copying paramiko/primes.py -> build/lib/paramiko
copying paramiko/sftp_file.py -> build/lib/paramiko
copying paramiko/__init__.py -> build/lib/paramiko
copying paramiko/compress.py -> build/lib/paramiko
copying paramiko/sftp.py -> build/lib/paramiko
copying paramiko/pkey.py -> build/lib/paramiko
copying paramiko/kex_gss.py -> build/lib/paramiko
copying paramiko/_winapi.py -> build/lib/paramiko
copying paramiko/channel.py -> build/lib/paramiko
copying paramiko/client.py -> build/lib/paramiko
copying paramiko/ecdsakey.py -> build/lib/paramiko
copying paramiko/resource.py -> build/lib/paramiko
copying paramiko/common.py -> build/lib/paramiko
copying paramiko/sftp_server.py -> build/lib/paramiko
copying paramiko/sftp_attr.py -> build/lib/paramiko
copying paramiko/sftp_client.py -> build/lib/paramiko
copying paramiko/kex_group1.py -> build/lib/paramiko
copying paramiko/ssh_exception.py -> build/lib/paramiko
copying paramiko/win_pageant.py -> build/lib/paramiko
+ sleep 1
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic'
+ /usr/bin/python3.4 setup.py build '--executable=/usr/bin/python3.4 -s'
running build
running build_py
+ sleep 1
+ exit 0
Executing(%install): /bin/sh -e /home/brian/python-paramiko/TMP/rpm-tmp.OSNuNA
+ umask 022
+ cd /home/brian/python-paramiko/BUILD
+ '[' /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64 '!=' / ']'
+ rm -rf /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64
++ dirname /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64
+ mkdir -p /home/brian/python-paramiko/BUILDROOT
+ mkdir /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64
+ cd paramiko-1.16.1
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic'
+ /usr/bin/python2 setup.py install -O1 --skip-build --root /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64
running install
running install_lib
creating /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64/usr
creating /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64/usr/lib
...
byte-compiling /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64/usr/lib/python2.7/site-packages/paramiko/win_pageant.py to win_pageant.pyc
writing byte-compilation script '/tmp/tmpi56C8p.py'
/usr/bin/python2 -O /tmp/tmpi56C8p.py
removing /tmp/tmpi56C8p.py
running install_egg_info
running egg_info
creating paramiko.egg-info
writing requirements to paramiko.egg-info/requires.txt
writing paramiko.egg-info/PKG-INFO
writing top-level names to paramiko.egg-info/top_level.txt
writing dependency_links to paramiko.egg-info/dependency_links.txt
writing manifest file 'paramiko.egg-info/SOURCES.txt'
reading manifest file 'paramiko.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
warning: no files found matching '*' under directory 'docs'
writing manifest file 'paramiko.egg-info/SOURCES.txt'
Copying paramiko.egg-info to /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64/usr/lib/python2.7/site-packages/paramiko-1.16.1-py2.7.egg-info
running install_scripts
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic'
+ /usr/bin/python3.4 setup.py install -O1 --skip-build --root /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64
running install
running install_lib
creating /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64/usr/lib/python3.4
creating /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64/usr/lib/python3.4/site-packages
creating /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64/usr/lib/python3.4/site-packages/paramiko
byte-compiling /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64/usr/lib/python3.4/site-packages/paramiko/win_pageant.py to win_pageant.cpython-34.pyc
writing byte-compilation script '/tmp/tmpng8oohmw.py'
/usr/bin/python3.4 -O /tmp/tmpng8oohmw.py
removing /tmp/tmpng8oohmw.py
running install_egg_info
running egg_info
writing dependency_links to paramiko.egg-info/dependency_links.txt
writing paramiko.egg-info/PKG-INFO
writing requirements to paramiko.egg-info/requires.txt
writing top-level names to paramiko.egg-info/top_level.txt
reading manifest file 'paramiko.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
warning: no files found matching '*' under directory 'docs'
writing manifest file 'paramiko.egg-info/SOURCES.txt'
Copying paramiko.egg-info to /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64/usr/lib/python3.4/site-packages/paramiko-1.16.1-py3.4.egg-info
running install_scripts
+ sphinx-build -b html sites/docs/ html/
Making output directory...
Running Sphinx v1.1.3
loading pickled environment... not yet created
loading intersphinx inventory from http://docs.python.org/2.6/objects.inv...
building [html]: targets for 19 source files that are out of date
updating environment: 19 added, 0 changed, 0 removed
reading sources... [100%] index                                                 
/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/ssh_exception.py:docstring of paramiko.ssh_exception.NoValidConnectionsError.__init__:2: WARNING: Field list ends without a blank line; unexpected unindent.
looking for now-outdated files... none found
pickling environment... done
checking consistency... done
preparing documents... done
writing output... [100%] index                                                  
writing additional files... genindex py-modindex search
copying static files... done
dumping search index... done
dumping object inventory... done
build succeeded, 1 warning.
+ rm -f html/.buildinfo
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
Bytecompiling .py files below /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64/usr/lib/python3.4 using /usr/bin/python3.4
Bytecompiling .py files below /home/brian/python-paramiko/BUILDROOT/python-paramiko-1.16.1-2.el7.x86_64/usr/lib/python2.7 using /usr/bin/python2.7
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Executing(%check): /bin/sh -e /home/brian/python-paramiko/TMP/rpm-tmp.tYHb5B
+ umask 022
+ cd /home/brian/python-paramiko/BUILD
+ cd paramiko-1.16.1
+ /usr/bin/python2 ./test.py --no-sftp --no-big-file
.......................................................................FEEEEEEE..EE.EEEEEEEEEEEEEEE.......EEEEE.E.EEE
======================================================================
ERROR: test_2_bad_password (tests.test_auth.AuthTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_auth.py", line 150, in test_2_bad_password
    self.tc.connect(hostkey=self.public_host_key)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_3_multipart_auth (tests.test_auth.AuthTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_auth.py", line 165, in test_3_multipart_auth
    self.tc.connect(hostkey=self.public_host_key)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_4_interactive_auth (tests.test_auth.AuthTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_auth.py", line 178, in test_4_interactive_auth
    self.tc.connect(hostkey=self.public_host_key)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_5_interactive_auth_fallback (tests.test_auth.AuthTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_auth.py", line 197, in test_5_interactive_auth_fallback
    self.tc.connect(hostkey=self.public_host_key)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_6_auth_utf8 (tests.test_auth.AuthTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_auth.py", line 207, in test_6_auth_utf8
    self.tc.connect(hostkey=self.public_host_key)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_7_auth_non_utf8 (tests.test_auth.AuthTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_auth.py", line 218, in test_7_auth_non_utf8
    self.tc.connect(hostkey=self.public_host_key)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_8_auth_gets_disconnected (tests.test_auth.AuthTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_auth.py", line 229, in test_8_auth_gets_disconnected
    self.tc.connect(hostkey=self.public_host_key)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_3_simple (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 191, in test_3_simple
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_3a_long_banner (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 213, in test_3a_long_banner
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_5_keepalive (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 240, in test_5_keepalive
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_6_exec_command (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 250, in test_6_exec_command
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_6a_channel_can_be_used_as_context_manager (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 292, in test_6a_channel_can_be_used_as_context_manager
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_7_invoke_shell (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 308, in test_7_invoke_shell
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_8_channel_exception (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 322, in test_8_channel_exception
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_9_exit_status (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 333, in test_9_exit_status
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_A_select (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 362, in test_A_select
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_B_renegotiate (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 417, in test_B_renegotiate
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_C_compression (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 443, in test_C_compression
    self.setup_test_server(force_compression, force_compression)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_D_x11 (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 464, in test_D_x11
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_E_reverse_port_forwarding (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 500, in test_E_reverse_port_forwarding
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_F_port_forwarding (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 536, in test_F_port_forwarding
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_G_stderr_select (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 566, in test_G_stderr_select
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_H_send_ready (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 604, in test_H_send_ready
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
EOFError

======================================================================
ERROR: test_I_rekey_deadlock (tests.test_transport.TransportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 716, in test_I_rekey_deadlock
    self.setup_test_server()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_transport.py", line 143, in setup_test_server
    username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 1072, in connect
    self.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_1_client (test_client.SSHClientTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/test_client.py", line 158, in test_1_client
    self._test_connection(password='pygmalion')
  File "tests/test_client.py", line 127, in _test_connection
    self.tc.connect(self.addr, self.port, username='slowdive', **kwargs)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/client.py", line 338, in connect
    t.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_2_5_client_ecdsa (test_client.SSHClientTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/test_client.py", line 176, in test_2_5_client_ecdsa
    self._test_connection(key_filename=test_path('test_ecdsa.key'))
  File "tests/test_client.py", line 127, in _test_connection
    self.tc.connect(self.addr, self.port, username='slowdive', **kwargs)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/client.py", line 338, in connect
    t.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_2_client_dsa (test_client.SSHClientTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/test_client.py", line 164, in test_2_client_dsa
    self._test_connection(key_filename=test_path('test_dss.key'))
  File "tests/test_client.py", line 127, in _test_connection
    self.tc.connect(self.addr, self.port, username='slowdive', **kwargs)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/client.py", line 338, in connect
    t.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_3_multiple_key_files (test_client.SSHClientTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/test_client.py", line 201, in test_3_multiple_key_files
    allowed_keys=[types_[x] for x in accept],
  File "tests/test_client.py", line 127, in _test_connection
    self.tc.connect(self.addr, self.port, username='slowdive', **kwargs)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/client.py", line 338, in connect
    t.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_4_auto_add_policy (test_client.SSHClientTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/test_client.py", line 232, in test_4_auto_add_policy
    self.tc.connect(self.addr, self.port, username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/client.py", line 338, in connect
    t.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_6_cleanup (test_client.SSHClientTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/test_client.py", line 287, in test_6_cleanup
    self.tc.connect(self.addr, self.port, username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/client.py", line 338, in connect
    t.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_client_can_be_used_as_context_manager (test_client.SSHClientTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/test_client.py", line 322, in test_client_can_be_used_as_context_manager
    self.tc.connect(self.addr, self.port, username='slowdive', password='pygmalion')
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/client.py", line 338, in connect
    t.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_client_rsa (test_client.SSHClientTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/test_client.py", line 170, in test_client_rsa
    self._test_connection(key_filename=test_path('test_rsa.key'))
  File "tests/test_client.py", line 127, in _test_connection
    self.tc.connect(self.addr, self.port, username='slowdive', **kwargs)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/client.py", line 338, in connect
    t.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
ERROR: test_multiple_key_files_failure (test_client.SSHClientTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/test_client.py", line 218, in test_multiple_key_files_failure
    allowed_keys=['ecdsa-sha2-nistp256'],
  File "/usr/lib64/python2.7/unittest/case.py", line 513, in assertRaises
    callableObj(*args, **kwargs)
  File "tests/test_client.py", line 127, in _test_connection
    self.tc.connect(self.addr, self.port, username='slowdive', **kwargs)
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/client.py", line 338, in connect
    t.start_client()
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/paramiko/transport.py", line 492, in start_client
    raise e
ValueError: CTR mode needs counter parameter, not IV

======================================================================
FAIL: test_1_bad_auth_type (tests.test_auth.AuthTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/brian/python-paramiko/BUILD/paramiko-1.16.1/tests/test_auth.py", line 141, in test_1_bad_auth_type
    self.assertEqual(BadAuthenticationType, etype)
AssertionError: <class 'paramiko.ssh_exception.BadAuthenticationType'> != <type 'exceptions.ValueError'>

----------------------------------------------------------------------
Ran 117 tests in 4.428s

FAILED (failures=1, errors=33)
error: Bad exit status from /home/brian/python-paramiko/TMP/rpm-tmp.tYHb5B (%check)


RPM build errors:
    bogus date in %changelog: Fri May 16 2016 Orion Poplawski <orion@cora.nwra.com> - 1.16.1-1
    Bad exit status from /home/brian/python-paramiko/TMP/rpm-tmp.tYHb5B (%check)

Comment 6 Fedora Update System 2017-02-06 20:56:31 UTC
python-paramiko-1.16.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-31dd41cd3e

Comment 7 Nadav Goldin 2017-02-07 17:40:04 UTC
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-31dd41cd3e fixes the issue for me, thanks for the quick push.

However, may I suggest to build paramiko v2.1.1 instead? this is what that was done in fedora 24. paramiko v2.x does not depend on python2-crypto, which is as far as I know, not actively developed nor maintained since 2013. paramiko v2.x depends on python-cryptography which is shipped with el7, and as far as compatibility paramiko v2.x is supposed to be a drop-in replacement for paramiko v1.x.

Comment 8 Paul Howarth 2017-02-07 17:44:48 UTC
It's certainly an option to consider, but that's for the paramiko maintainer rather than me; I don't actually use it myself.

Comment 9 Fedora Update System 2017-02-08 03:48:34 UTC
python-paramiko-1.16.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-31dd41cd3e

Comment 10 Fedora Update System 2017-02-09 17:49:15 UTC
python-paramiko-1.16.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.